### Method

# ECal ReminderWatcher dup_snoozed

since: 3.30

#### Declaration [src]

    GSList*
    e_reminder_watcher_dup_snoozed (
      EReminderWatcher* watcher
    )

#### Description [src]

Gathers a `GSList` of currently snoozed reminder with e_reminder_watcher_snooze(). The snoozed reminders are remembered across sessions and they are re-triggered when their snooze time elapses, which can move them back to the list of past reminders.

Free the returned `GSList` with g_slist_free_full (reminders, e_reminder_data_free); when no longer needed.

Available since: 3.30

#### Return value

Type: A list of `EReminderData*`

A newly allocated `GSList` of the snoozed reminders, or `NULL`, when there are none.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.